Отказ в обслуживании в Apache Subversion

Дата публикации:
11.04.2013
Дата изменения:
11.04.2013
Всего просмотров:
803
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
5
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:N/A:C/E:U/RL:O/RC:C) = Base:7.8/Temporal:5.8
(AV:N/AC:L/Au:N/C:N/I:N/A:C/E:U/RL:O/RC:C) = Base:7.8/Temporal:5.8
(AV:N/AC:H/Au:N/C:N/I:N/A:C/E:U/RL:O/RC:C) = Base:5.4/Temporal:4
(AV:N/AC:L/Au:N/C:N/I:N/A:C/E:U/RL:O/RC:C) = Base:7.8/Temporal:5.8
(AV:N/AC:L/Au:N/C:N/I:N/A:C/E:U/RL:O/RC:C) = Base:7.8/Temporal:5.8
CVE ID:
CVE-2013-1845
CVE-2013-1846
CVE-2013-1847
CVE-2013-1849
CVE-2013-1884
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Subversion 1.x
Уязвимые версии:
Apache Subversion версий 1.7.0 - 1.7.8

Описание:
Уязвимость позволяет удаленному пользователю обойти ограничения безопасности.

1. Уязвимость существует из-за ошибки в модуле mod_dav_svn при удалении большого количества свойств. Удаленный пользователь может вызвать истощение памяти.

Примечание: Уязвимость распространяется на продукт версии 1.6.21 и 1.7.0 - 1.7.8.

2. Уязвимость существует из-за ошибки разыменования нулевого указателя в модуле mod_dav_svn при обработке LOCK-запроса о URL-деятельности. Удаленный пользователь может вызвать аварийное прекращение работы.

Примечание: Уязвимость распространяется на продукт версии 1.6.21 и 1.7.0 - 1.7.8.

3. Уязвимость существует из-за ошибки разыменования нулевого указателя в модуле mod_dav_svn при обработке LOCK запроса. Удаленный пользователь может вызвать аварийное прекращение работы.

Примечание: Для успешной эксплуатации уязвимости требуется, чтобы было включено автоматическое назначение версий, а также использование не SVN DAV-клиента. Уязвимость распространяется на продукт версии 1.6.21 и 1.7.0 - 1.7.8.

4. Уязвимость существует из-за ошибки разыменования нулевого указателя в модуле mod_dav_svn при обработке PROPFIND-запроса. Удаленный пользователь может вызвать аварийное прекращение работы.

Примечание: Уязвимость распространяется на продукт версии 1.6.21 и 1.7.0 - 1.7.8.

5. Уязвимость существует из-за ошибки в модуле mod_dav_svn при обработке REPORT-запроса с ограничением за пределами допустимой области. Удаленный пользователь может вызвать аварийное прекращение работы.

Примечание: Уязвимость распространяется на продукт версии 1.7.0 - 1.7.8.

URL производителя: http://subversion.apache.org/

Решение: Для устранения уязвимости установите продукт версии 1.6.21 или 1.7.9 с сайта производителя.

Ссылки: http://subversion.apache.org/security/CVE-2013-1845-advisory.txt
http://subversion.apache.org/security/CVE-2013-1846-advisory.txt
http://subversion.apache.org/security/CVE-2013-1847-advisory.txt
http://subversion.apache.org/security/CVE-2013-1849-advisory.txt
http://subversion.apache.org/security/CVE-2013-1884-advisory.txt

или введите имя

CAPTCHA